Connections
Get a connection
Retrieves the specified connection and its configuration details without including credential values.
Parameter kueri
api-version
string
diperlukan
The API version to use for this operation.
Parameter jalur
name
string
diperlukan
The friendly name of the connection, provided by the user.
Parameter header
x-ms-client-request-id
string
An opaque, globally-unique, client-generated string identifier for the request.
Respons
The request has succeeded.
Header
x-ms-client-request-id
string
An opaque, globally-unique, client-generated string identifier for the request.
Isi
name
string
diperlukan
The friendly name of the connection, provided by the user.
id
string
diperlukan
A unique identifier for the connection, generated by the service
type
string | enum
diperlukan
The Type (or category) of the connection
enum
target
string
diperlukan
The connection URL to be used for this service
isDefault
boolean
diperlukan
Whether the connection is tagged as the default connection of its type
credentials
ApiKey | AAD | CustomKeys | SAS | None | AgenticIdentityToken_Preview
diperlukan
A base class for connection credentials
ApiKey
ApiKeyCredentials
API Key Credential definition
type
enum
diperlukan
The credential type
key
string
API Key
AAD
EntraIDCredentials
Entra ID credential definition
type
enum
diperlukan
The credential type
CustomKeys
CustomCredential
Custom credential definition
type
enum
diperlukan
The credential type
SAS
SASCredentials
Shared Access Signature (SAS) credential definition
type
enum
diperlukan
The credential type
SAS
string
SAS token
None
NoAuthenticationCredentials
Credentials that do not require authentication
type
enum
diperlukan
The credential type
AgenticIdentityToken_Preview
AgenticIdentityPreviewCredentials
Agentic identity credential definition
type
enum
diperlukan
The credential type
metadata
object
diperlukan
Metadata of the connection
Minta
GET /connections/{name} HTTP/1.1
Tanggapan
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json